/***********************************************************************/
/*          API-GPIB(98/PC)W95,NT                 Header  File         */
/*                                                File Name SubFunc.h  */
/***********************************************************************/

#ifndef __SUBFUNC_H__
#define __SUBFUNC_H__

long CheckRet(CString Func, long Ret, CString *csBuf);
int Square(int x, int y);
DWORD chr2hex(char *ch);
long GpibInit(CString *TextRet);
void GpibExit();
void Str2Num(char *str, DWORD str_len, int *num, DWORD num_len);
void DrawGraph(HWND hDlg, DWORD Picture, int *num, DWORD num_len, int min, int max);
long GpibPrint(long DevAddr, CString Str);
long GpibInput(long DevAddr, CString *Str);	// Add HIOKI
long GpibInputHioki(long DevAddr, CString *TextRet);
long GpibInputB(long DevAddr, BYTE *IntData);
long GpibCommand(long DevAddr);
#endif
